%global ocpnlibscommit a001083af21de2e3faa970b245877a5ee5899aba
%define piname	dashboardsk
%define uname	dashboardsk_pi
%define majname DashboardSK
%global gdate	20240102
%global commit0 e28331e836da6ec8eabfeddfdf1f131b8cc6cb5b

%define _disable_ld_no_undefined 1

Name:		opencpn-dashboardsk-plugin
Summary:	Data display based on the SignalK data model
Version:	0.2.0
Release:	%mkrel 2.git%{?gdate}
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/dashboardsk.html
%if 0%{!?gdate:1}
Source0:	https://github.com/nohal/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
%else
Source0:	https://github.com/nohal/%{uname}/archive/%{commit0}/%{uname}-%{commit0}.tar.gz
%endif
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit}/opencpn-libs-%{ocpnlibscommit}.tar.gz
Patch0:     opencpn-libs-a001083-tinyxml.patch
Patch1:     opencpn-libs-a001083-json.patch
Patch2:     dashboardsk_pi-0.2.0-GetArch.patch
Patch3:     dashboardsk_pi-configpath.patch


BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:  doxygen
BuildRequires:  pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)


Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin provides universal data display based on the SignalK data model.  
The data is displayed using configurable overlay instruments anchored to any 
edge of chart canvas. The instruments may also be configured to trigger alarms 
based on the values they process. 

%prep
%autosetup -a1 -p1 -n %{uname}-%{?commit0}%{!?commit0:%version}
mv opencpn-libs-%{ocpnlibscommit}/{.,}* opencpn-libs/

%build
%cmake .
%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{majname}_pi/data

install -Dpm755 %{_vpath_builddir}/lib%{majname}_pi.so %{buildroot}%{_libdir}/opencpn/
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{majname}_pi/data/

%files 
%doc LICENSE LICENSING README.md
%{_libdir}/opencpn/lib%{majname}_pi.so
%{_datadir}/opencpn/plugins/%{majname}_pi/data/


%changelog
* Wed Jan 03 2024 philippedidier <philippedidier> 0.2.0-2.git20240102.mga10
+ Revision: 2027086
- new version correcting bug (no config file created)

* Fri May 26 2023 philippedidier <philippedidier> 0.1.3-7.mga9
+ Revision: 1958372
- correct the patch name to prevent error with other plugin name
+ wally <wally>
- build using cmake rpm macros and simplify %%install
- build debug pkgs

* Thu May 25 2023 philippedidier <philippedidier> 0.1.3-6.mga9
+ Revision: 1957929
- add a patch to build on aarch64 - hope it works
- last try to create this ugly spec file
- at last really correct this ugly spec file
- really correct the spec file
- correct the spec file
- imported package opencpn-dashboardsk-plugin

